# Review: https://bugzilla.redhat.com/show_bug.cgi?id=524605

Name:           gtrayicon
Version:        1.1
Release:        3%{?dist}
Summary:        Generic tray icon for GNOME

Group:          User Interface/Desktops
License:        GPLv3+
URL:            http://gtrayicon.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.1-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libglade2-devel

%description
Gtrayicon is a generic tray icon for GNOME. It defines two actions: activate 
and deactivate, that are alternated by clicking in the tray icon. You choose 
what commands to run on each action. You can also define each action's icon and
a custom menu that is shown on left click. A sample menu file is included with 
the package. Check %{_docdir}/gtrayicon-%{version}/sample.menu for more info.


%prep
%setup -q
%patch0 -p1 -b .orig

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
install -Dpm0644 Debian/%{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog sample.menu README LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 17 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.1-2
- Fix license tag
- Fix manpage install

* Sun Sep 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.1-1
- Initial package
